OTS-PERF(1)

NAME
ots-perf - performance checker

SYNOPSIS
ots-perf FONT_FILE

DESCRIPTION

ots-perf is a program which validates and transcodes a font file N times using OTS, then prints the elapsed time:

    for (N times)
      ValidateAndTranscode(original_font);
    Print(elapsed_time_in_us / N);

EXAMPLES
    $ ./ots-perf sample.ttf
    903 [us] sample.ttf (139332 bytes, 154 [byte/us])
    $ ./ots-perf sample-bold.otf
    291 [us] sample-bold.otf (150652 bytes, 517 [byte/us])

REPORTING BUGS
Report bugs to <https://github.com/khaledhosny/ots/issues>

SEE ALSO
ots-idempotent(1), ots-sanitize(1), ots-side-by-side(1), ots-validator-checker(1)